Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGridWriter Class Reference

`#include <vtkUnstructuredGridWriter.h>`

Inheritance diagram for vtkUnstructuredGridWriter:

[legend]
Collaboration diagram for vtkUnstructuredGridWriter:

[legend]
List of all members.

## Detailed Description

write vtk unstructured grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.36

vtkUnstructuredGridWriter is a source object that writes ASCII or binary unstructured grid data files in vtk format. See text for format details.

Warning:
  Binary files written on one system may not be readable on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (67%)
  - Martin, Ken (11%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkUnstructuredGridWriter.h)`
  - .`cxx` (`/IO/vtkUnstructuredGridWriter.cxx)`

Definition at line 46 of file vtkUnstructuredGridWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkUnstructuredGrid *input)
vtkUnstructuredGrid * | GetInput ()
## Static Public Methods
vtkUnstructuredGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkUnstructuredGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGridWriter ()
| ~vtkUnstructuredGridWriter ()
void | WriteData ()

## Member Typedef Documentation

typedef vtkDataWriter vtkUnstructuredGridWriter::Superclass

| Reimplemented from vtkDataWriter. Definition at line 50 of file vtkUnstructuredGridWriter.h.

## Constructor & Destructor Documentation

vtkUnstructuredGridWriter::vtkUnstructuredGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkUnstructuredGridWriter.h.

vtkUnstructuredGridWriter::~vtkUnstructuredGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkUnstructuredGridWriter.h.

## Member Function Documentation

vtkUnstructuredGridWriter* vtkUnstructuredGridWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter.

virtual const char* vtkUnstructuredGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter.

int vtkUnstructuredGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

virtual int vtkUnstructuredGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

vtkUnstructuredGridWriter* vtkUnstructuredGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter.

void vtkUnstructuredGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter.

void vtkUnstructuredGridWriter::SetInput | ( | vtkUnstructuredGrid * | input | ) |

| Specify the input data or filter.

vtkUnstructuredGrid* vtkUnstructuredGridWriter::GetInput | ( |  | ) |

| Specify the input data or filter. Reimplemented from vtkWriter.

void vtkUnstructuredGridWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkUnstructuredGridWriter.h